Package com.castlabs.android.player.playlist

# Class PlaylistController

java.lang.Object
com.castlabs.android.player.AbstractPlayerListener
com.castlabs.android.player.playlist.MultiControllerPlaylist
com.castlabs.android.player.playlist.PlaylistController

All Implemented Interfaces:
  `PlayerListener`, `PlayerViewLifecycleDelegate.LifecycleListener`, `Playlist`

public class PlaylistController extends MultiControllerPlaylist
Deprecated.
since 4.2.5. Use `MultiControllerPlaylist` instead.
Playlist management.

Since:
  4.2.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

  `MultiControllerPlaylist.AbstractPlaylistListener, MultiControllerPlaylist.Builder, MultiControllerPlaylist.ItemChangeFlags, MultiControllerPlaylist.PlaylistListener`

- ## Field Summary

  ### Fields inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

  `DEFAULT_ITEM_CHANGE_FLAGS, ITEM_THRESHOLD_FULLY_BUFFERED, ITEM_THRESHOLD_UPON_START, KEEP_ALL, KEEP_AUDIO_TRACK, KEEP_BANDWIDTH_ESTIMATE, KEEP_SUBTITLE_TRACK, KEEP_TRICKPLAY_CONFIG, KEEP_VIDEO_QUALITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlaylistController(Context context, MultiControllerPlaylist.PlaylistListener listener)`
  Deprecated.
  Instantiates a new PlaylistController.
  `PlaylistController(PlayerView playerView, MultiControllerPlaylist.PlaylistListener listener)`
  Deprecated.
  Instantiates a new PlaylistController.

- ## Method Summary

  ### Methods inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

  `addItem, addItem, enableLooping, getCurrentController, getCurrentItem, getCurrentItemIndex, getLoadedConfigs, getPlaylist, getSize, migratePlayerListeners, nextItem, onBeforeRelease, onError, onFatalErrorOccurred, onFullyBuffered, onPlaybackPositionChanged, onPostDestroy, onPostRelease, onPostResume, onPostStart, onSeekRangeChanged, onSeekTo, onStateChanged, onVideoSizeChanged, open, open, open, open, open, open, playItem, previousItem, removeItem, setItemChangeFlags, setNextItemThreshold, slideNext, slidePrevious, swap`

  ### Methods inherited from class com.castlabs.android.player.AbstractPlayerListener

  `onDisplayChanged, onDurationChanged, onPlayerModelChanged, onSeekCompleted, onSpeedChanged, onVideoKeyStatusChanged`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlaylistController

    public PlaylistController(@NonNull PlayerView playerView, @Nullable MultiControllerPlaylist.PlaylistListener listener)
    Deprecated.
    Instantiates a new PlaylistController.
    Parameters:
      `playerView` - The PlayerView to associate with this controller
      `listener` - The listener to notify of playlist events

  - ### PlaylistController

    public PlaylistController(@NonNull Context context, @Nullable MultiControllerPlaylist.PlaylistListener listener)
    Deprecated.
    Instantiates a new PlaylistController.
    Parameters:
      `context` - The context to use for creating the PlayerView
      `listener` - The listener to notify of playlist events